searchData={"items":[{"type":"module","title":"Noizu.Weaviate","doc":"Noizu.Weaviate is a library providing a simple wrapper around Weaviate's API calls.\nIt handles various API features such as meta information, batch operations, backups,\nschema operations, nodes information, data objects, and classification.","ref":"Noizu.Weaviate.html"},{"type":"module","title":"Configuration - Noizu.Weaviate","doc":"To configure the library, you need to set the Weaviate API key in your application's configuration:\n\n    config :noizu_weaviate,\n      weaviate_api_key: \"your_api_key_here\"","ref":"Noizu.Weaviate.html#module-configuration"},{"type":"function","title":"Noizu.Weaviate.api_call/5","doc":"A helper function to make API calls to the OpenAI API. This function handles both non-stream and stream API calls.","ref":"Noizu.Weaviate.html#api_call/5"},{"type":"function","title":"Parameters - Noizu.Weaviate.api_call/5","doc":"- type: The HTTP request method (e.g., :get, :post, :put, :patch, :delete)\n- url: The full URL for the API endpoint\n- body: The request body in map format\n- model: The model to be used for the response processing\n- options\n  - stream: A boolean value to indicate whether the request should be processed as a stream or not (default: false)\n  - raw: return raw response\n  - response_log_callback: function(finch) callback for request log.\n  - response_log_callback: function(finch, start_ms) callback for response log.","ref":"Noizu.Weaviate.html#api_call/5-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.api_call/5","doc":"Returns a tuple {:ok, response} on successful API call, where response is the decoded JSON response in map format.\nReturns {:error, term} on failure, where term contains error details.","ref":"Noizu.Weaviate.html#api_call/5-returns"},{"type":"function","title":"Noizu.Weaviate.generic_stream_provider/1","doc":"","ref":"Noizu.Weaviate.html#generic_stream_provider/1"},{"type":"function","title":"Noizu.Weaviate.headers/0","doc":"","ref":"Noizu.Weaviate.html#headers/0"},{"type":"function","title":"Noizu.Weaviate.put_field/4","doc":"","ref":"Noizu.Weaviate.html#put_field/4"},{"type":"function","title":"Noizu.Weaviate.weaviate_base/0","doc":"","ref":"Noizu.Weaviate.html#weaviate_base/0"},{"type":"type","title":"Noizu.Weaviate.api_response/0","doc":"","ref":"Noizu.Weaviate.html#t:api_response/0"},{"type":"type","title":"Noizu.Weaviate.consistency_level_option/0","doc":"","ref":"Noizu.Weaviate.html#t:consistency_level_option/0"},{"type":"type","title":"Noizu.Weaviate.error_tuple/0","doc":"","ref":"Noizu.Weaviate.html#t:error_tuple/0"},{"type":"type","title":"Noizu.Weaviate.options/0","doc":"","ref":"Noizu.Weaviate.html#t:options/0"},{"type":"module","title":"Noizu.Weaviate.Api.Auth","doc":"Functions for authentication in the Weaviate API.","ref":"Noizu.Weaviate.Api.Auth.html"},{"type":"function","title":"Noizu.Weaviate.Api.Auth.check_liveness/1","doc":"Check if the Weaviate application is alive.","ref":"Noizu.Weaviate.Api.Auth.html#check_liveness/1"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Auth.check_liveness/1","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Auth.html#check_liveness/1-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Auth.check_liveness/1","doc":"{:ok, response} = Noizu.Weaviate.Api.Auth.check_liveness()","ref":"Noizu.Weaviate.Api.Auth.html#check_liveness/1-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Auth.check_readiness/1","doc":"Check if the Weaviate application is ready to receive traffic.","ref":"Noizu.Weaviate.Api.Auth.html#check_readiness/1"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Auth.check_readiness/1","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Auth.html#check_readiness/1-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Auth.check_readiness/1","doc":"{:ok, response} = Noizu.Weaviate.Api.Auth.check_readiness()","ref":"Noizu.Weaviate.Api.Auth.html#check_readiness/1-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Auth.get_openid_configuration/1","doc":"Get the OpenID configuration in Weaviate.","ref":"Noizu.Weaviate.Api.Auth.html#get_openid_configuration/1"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Auth.get_openid_configuration/1","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Auth.html#get_openid_configuration/1-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Auth.get_openid_configuration/1","doc":"{:ok, response} = Noizu.Weaviate.Api.Auth.get_openid_configuration()","ref":"Noizu.Weaviate.Api.Auth.html#get_openid_configuration/1-examples"},{"type":"module","title":"Noizu.Weaviate.Api.Backups","doc":"Functions for working with backups in Weaviate.","ref":"Noizu.Weaviate.Api.Backups.html"},{"type":"function","title":"Noizu.Weaviate.Api.Backups.create_backup/4","doc":"Create a backup in Weaviate.","ref":"Noizu.Weaviate.Api.Backups.html#create_backup/4"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Backups.create_backup/4","doc":"- `backend` (required) - The name of the backup provider module.\n- `backup_id` (required) - The ID of the backup.\n- `include` (optional) - An optional list of class names to be included in the backup.\n- `exclude` (optional) - An optional list of class names to be excluded from the backup.\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Backups.html#create_backup/4-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Backups.create_backup/4","doc":"A tuple `{:ok, response}` on successful API call, where `response` is of type `WeaviateStructs.RespObj`.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Backups.html#create_backup/4-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Backups.create_backup/4","doc":"{:ok, response} = Noizu.Weaviate.Api.Backups.create_backup(\"s3\", \"my-backup\", include: [\"Product\"], exclude: [\"User\"])","ref":"Noizu.Weaviate.Api.Backups.html#create_backup/4-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Backups.get_restore_status/3","doc":"Get the status of a restore operation in Weaviate.","ref":"Noizu.Weaviate.Api.Backups.html#get_restore_status/3"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Backups.get_restore_status/3","doc":"- `backend` (required) - The name of the backup provider module.\n- `backup_id` (required) - The ID of the backup.\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Backups.html#get_restore_status/3-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Backups.get_restore_status/3","doc":"A tuple `{:ok, response}` on successful API call, where `response` is of type `WeaviateStructs.RespObj`.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Backups.html#get_restore_status/3-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Backups.get_restore_status/3","doc":"{:ok, response} = Noizu.Weaviate.Api.Backups.get_restore_status(\"s3\", \"my-backup\")","ref":"Noizu.Weaviate.Api.Backups.html#get_restore_status/3-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Backups.get_status/3","doc":"Get the status of a backup in Weaviate.","ref":"Noizu.Weaviate.Api.Backups.html#get_status/3"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Backups.get_status/3","doc":"- `backend` (required) - The name of the backup provider module.\n- `backup_id` (required) - The ID of the backup.\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Backups.html#get_status/3-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Backups.get_status/3","doc":"A tuple `{:ok, response}` on successful API call, where `response` is of type `WeaviateStructs.RespObj`.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Backups.html#get_status/3-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Backups.get_status/3","doc":"{:ok, response} = Noizu.Weaviate.Api.Backups.get_status(\"s3\", \"my-backup\")","ref":"Noizu.Weaviate.Api.Backups.html#get_status/3-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Backups.restore_backup/4","doc":"Restore a backup in Weaviate.","ref":"Noizu.Weaviate.Api.Backups.html#restore_backup/4"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Backups.restore_backup/4","doc":"- `backend` (required) - The name of the backup provider module.\n- `backup_id` (required) - The ID of the backup.\n- `include` (optional) - An optional list of class names to be included in the restore.\n- `exclude` (optional) - An optional list of class names to be excluded from the restore.\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Backups.html#restore_backup/4-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Backups.restore_backup/4","doc":"A tuple `{:ok, response}` on successful API call, where `response` is of type `WeaviateStructs.RespObj`.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Backups.html#restore_backup/4-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Backups.restore_backup/4","doc":"{:ok, response} = Noizu.Weaviate.Api.Backups.restore_backup(\"s3\", \"my-backup\", include: [\"Product\"], exclude: [\"User\"])","ref":"Noizu.Weaviate.Api.Backups.html#restore_backup/4-examples"},{"type":"module","title":"Noizu.Weaviate.Api.Batch","doc":"Functions for batch operations in Weaviate.","ref":"Noizu.Weaviate.Api.Batch.html"},{"type":"function","title":"Noizu.Weaviate.Api.Batch.create_objects/2","doc":"Batch create objects in Weaviate.","ref":"Noizu.Weaviate.Api.Batch.html#create_objects/2"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Batch.create_objects/2","doc":"- `objects` (required) - The list of objects to be created. Each object should be a map representing the object properties.\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Batch.html#create_objects/2-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Batch.create_objects/2","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Batch.html#create_objects/2-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Batch.create_objects/2","doc":"object1 = %{\n      \"class\": \"Product\",\n      \"properties\": [\n        %{\"name\": \"title\", \"dataType\": \"string\", \"valueString\": \"Product 1\"},\n        %{\n          \"name\": \"price\",\n          \"dataType\": \"number\",\n          \"valueNumber\": 10.99\n        }\n      ]\n    }\n\n    object2 = %{\n      \"class\": \"Product\",\n      \"properties\": [\n        %{\"name\": \"title\", \"dataType\": \"string\", \"valueString\": \"Product 2\"},\n        %{\n          \"name\": \"price\",\n          \"dataType\": \"number\",\n          \"valueNumber\": 13.99\n        }\n      ]\n    }\n\n    objects = [object1, object2]\n\n    {:ok, response} = Noizu.Weaviate.Api.Batch.create_objects(objects)","ref":"Noizu.Weaviate.Api.Batch.html#create_objects/2-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Batch.create_references/2","doc":"Batch create references in Weaviate.","ref":"Noizu.Weaviate.Api.Batch.html#create_references/2"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Batch.create_references/2","doc":"- `references` (required) - The list of references to be created. Each reference should be a map with `from` and `to` properties representing the source and target objects.\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Batch.html#create_references/2-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Batch.create_references/2","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Batch.html#create_references/2-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Batch.create_references/2","doc":"reference1 = %{\n      \"from\": \"weaviate://localhost/Product/1234\",\n      \"to\": \"weaviate://localhost/Product/5678\"\n    }\n\n    reference2 = %{\n      \"from\": \"weaviate://localhost/Product/1234\",\n      \"to\": \"weaviate://localhost/Product/7890\"\n    }\n\n    references = [reference1, reference2]\n\n    {:ok, response} = Noizu.Weaviate.Api.Batch.create_references(references)","ref":"Noizu.Weaviate.Api.Batch.html#create_references/2-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Batch.delete_objects/2","doc":"Batch delete objects in Weaviate.","ref":"Noizu.Weaviate.Api.Batch.html#delete_objects/2"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Batch.delete_objects/2","doc":"- `match` (required) - An object outlining how to identify the objects to be deleted. It should have the following keys:\n  - `class` (required) - The class name as defined in the schema.\n  - `where` (required) - The where filter object to find the objects to be deleted.\n- `output` (optional) - The verbosity level (`\"minimal\"` or `\"verbose\"`). Defaults to `\"minimal\"`.\n- `dry_run` (optional) - If true, objects will not be deleted yet, but merely listed. Defaults to false.\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Batch.html#delete_objects/2-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Batch.delete_objects/2","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Batch.html#delete_objects/2-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Batch.delete_objects/2","doc":"match = %{\n      \"class\": \"Product\",\n      \"where\": %{\"name\": {\"equals\": \"Product 1\"}}\n    }\n\n    {:ok, response} = Noizu.Weaviate.Api.Batch.delete_objects(match)","ref":"Noizu.Weaviate.Api.Batch.html#delete_objects/2-examples"},{"type":"module","title":"Noizu.Weaviate.Api.Classification","doc":"Functions for classification operations in Weaviate.","ref":"Noizu.Weaviate.Api.Classification.html"},{"type":"function","title":"Noizu.Weaviate.Api.Classification.get_classification_status/2","doc":"Get the status, results, and metadata of a classification in Weaviate.","ref":"Noizu.Weaviate.Api.Classification.html#get_classification_status/2"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Classification.get_classification_status/2","doc":"- `classification_id` (required) - The ID of the classification.\n  - `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Classification.html#get_classification_status/2-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Classification.get_classification_status/2","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Classification.html#get_classification_status/2-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Classification.get_classification_status/2","doc":"classification_id = \"123456789\"\n\n    {:ok, response} = Noizu.Weaviate.Api.Classification.get_classification_status(classification_id)","ref":"Noizu.Weaviate.Api.Classification.html#get_classification_status/2-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Classification.start_classification/5","doc":"Start a classification in Weaviate.","ref":"Noizu.Weaviate.Api.Classification.html#start_classification/5"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Classification.start_classification/5","doc":"- `class_name` (required) - The name of the class of the data objects to be classified.\n- `classify_properties` (required) - List of properties to classify.\n- `based_on_properties` (required) - List of properties the classification is based on.\n- `classification_type` (required) - The type of classification to perform, either \"knn\" or \"zeroshot\".\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Classification.html#start_classification/5-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Classification.start_classification/5","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Classification.html#start_classification/5-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Classification.start_classification/5","doc":"{:ok, response} = Noizu.Weaviate.Api.Classification.start_classification(\"Product\", [\"name\"], [\"description\"], \"knn\")","ref":"Noizu.Weaviate.Api.Classification.html#start_classification/5-examples"},{"type":"type","title":"Noizu.Weaviate.Api.Classification.classification_options/0","doc":"","ref":"Noizu.Weaviate.Api.Classification.html#t:classification_options/0"},{"type":"type","title":"Noizu.Weaviate.Api.Classification.classification_response/0","doc":"","ref":"Noizu.Weaviate.Api.Classification.html#t:classification_response/0"},{"type":"type","title":"Noizu.Weaviate.Api.Classification.classification_start_options/0","doc":"","ref":"Noizu.Weaviate.Api.Classification.html#t:classification_start_options/0"},{"type":"type","title":"Noizu.Weaviate.Api.Classification.classification_start_response/0","doc":"","ref":"Noizu.Weaviate.Api.Classification.html#t:classification_start_response/0"},{"type":"module","title":"Noizu.Weaviate.Api.Meta","doc":"Functions for getting meta information about the Weaviate instance.","ref":"Noizu.Weaviate.Api.Meta.html"},{"type":"function","title":"Noizu.Weaviate.Api.Meta.get_meta_information/1","doc":"Get meta information about the Weaviate instance.","ref":"Noizu.Weaviate.Api.Meta.html#get_meta_information/1"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Meta.get_meta_information/1","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Meta.html#get_meta_information/1-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Meta.get_meta_information/1","doc":"{:ok, response} = Noizu.Weaviate.Api.Meta.get_meta_information()","ref":"Noizu.Weaviate.Api.Meta.html#get_meta_information/1-examples"},{"type":"module","title":"Noizu.Weaviate.Api.Nodes","doc":"Functions for getting information about the Weaviate nodes.","ref":"Noizu.Weaviate.Api.Nodes.html"},{"type":"function","title":"Noizu.Weaviate.Api.Nodes.get_information_about_nodes/1","doc":"Get information about the Weaviate nodes.","ref":"Noizu.Weaviate.Api.Nodes.html#get_information_about_nodes/1"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Nodes.get_information_about_nodes/1","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Nodes.html#get_information_about_nodes/1-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Nodes.get_information_about_nodes/1","doc":"{:ok, response} = Noizu.Weaviate.Api.Nodes.get_information_about_nodes()","ref":"Noizu.Weaviate.Api.Nodes.html#get_information_about_nodes/1-examples"},{"type":"module","title":"Noizu.Weaviate.Api.Objects","doc":"Functions for interacting with data objects in Weaviate.","ref":"Noizu.Weaviate.Api.Objects.html"},{"type":"function","title":"Noizu.Weaviate.Api.Objects.add_cross_reference/5","doc":"Add a cross-reference to a data object in Weaviate.","ref":"Noizu.Weaviate.Api.Objects.html#add_cross_reference/5"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Objects.add_cross_reference/5","doc":"- `class_name` (required) - The name of the class that the data object belongs to.\n- `id` (required) - The ID of the data object.\n- `property_name` (required) - The name of the property to add the cross-reference to.\n- `beacon` (required) - The beacon URL of the reference, in the format \"weaviate://localhost/ / \".\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Objects.html#add_cross_reference/5-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Objects.add_cross_reference/5","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Objects.html#add_cross_reference/5-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Objects.add_cross_reference/5","doc":"{:ok, response} = Noizu.Weaviate.Api.Objects.add_cross_reference(\"Person\", \"12345678-1234-1234-1234-1234567890ab\", \"friends\", \"weaviate://localhost/Person/87654321-4321-4321-4321-210987654321\")","ref":"Noizu.Weaviate.Api.Objects.html#add_cross_reference/5-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Objects.check_if_data_object_exists/3","doc":"Check if a data object exists in Weaviate.","ref":"Noizu.Weaviate.Api.Objects.html#check_if_data_object_exists/3"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Objects.check_if_data_object_exists/3","doc":"- `class_name` (required) - The name of the class that the data object belongs to.\n- `id` (required) - The ID of the data object.\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Objects.html#check_if_data_object_exists/3-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Objects.check_if_data_object_exists/3","doc":"A tuple `{:ok, exists}` on successful API call, where `exists` is a boolean indicating if the data object exists.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Objects.html#check_if_data_object_exists/3-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Objects.check_if_data_object_exists/3","doc":"{:ok, exists} = Noizu.Weaviate.Api.Objects.check_if_data_object_exists(\"Product\", \"12345678-1234-1234-1234-1234567890ab\")","ref":"Noizu.Weaviate.Api.Objects.html#check_if_data_object_exists/3-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Objects.create_data_object/3","doc":"Create a new data object in Weaviate.","ref":"Noizu.Weaviate.Api.Objects.html#create_data_object/3"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Objects.create_data_object/3","doc":"- `class_name` (required) - The class name as defined in the schema.\n- `properties` (required) - An object with the property values of the new data object.\n- `id` (optional) - An optional ID for the object.\n- `vector` (optional) - An optional custom vector.\n- `tenant` (optional) - An optional tenant name.\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Objects.html#create_data_object/3-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Objects.create_data_object/3","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Objects.html#create_data_object/3-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Objects.create_data_object/3","doc":"properties = %{name: \"Apple\", color: \"Red\"}\n    {:ok, response} = Noizu.Weaviate.Api.Objects.create_data_object(\"Product\", properties)","ref":"Noizu.Weaviate.Api.Objects.html#create_data_object/3-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Objects.get_data_object/3","doc":"Get a data object in Weaviate by ID.","ref":"Noizu.Weaviate.Api.Objects.html#get_data_object/3"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Objects.get_data_object/3","doc":"- `class_name` (required) - The class name of the data object.\n- `id` (required) - The ID of the data object to fetch.\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Objects.html#get_data_object/3-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Objects.get_data_object/3","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Objects.html#get_data_object/3-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Objects.get_data_object/3","doc":"{:ok, response} = Noizu.Weaviate.Api.Objects.get_data_object(\"Product\", \"1234-abcd-5678-efgh\")","ref":"Noizu.Weaviate.Api.Objects.html#get_data_object/3-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Objects.list_data_objects/1","doc":"List data objects in Weaviate.","ref":"Noizu.Weaviate.Api.Objects.html#list_data_objects/1"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Objects.list_data_objects/1","doc":"- `class` (optional) - The class name to filter the data objects by.\n- `limit` (optional) - The maximum number of data objects to return. Default is 25.\n- `offset` (optional) - The offset of data objects returned (the starting index of the returned objects). Cannot be used with `after`. Should be used in conjunction with `limit`.\n- `after` (optional) - The ID of the object after which (i.e. non-inclusive ID) objects are to be listed. Must be used with `class`. Cannot be used with `offset` or `sort`. Should be used in conjunction with `limit`.\n- `include` (optional) - Additional information to include, such as classification info. Allowed values include: classification, vector, featureProjection, and other module-specific additional properties.\n- `sort` (optional) - Name of the property to sort by. You can also provide multiple names separated by commas.\n- `order` (optional) - Order in which to sort by. Possible values are \"asc\" (default) and \"desc\". Should be used in conjunction with `sort`.\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Objects.html#list_data_objects/1-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Objects.list_data_objects/1","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Objects.html#list_data_objects/1-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Objects.list_data_objects/1","doc":"{:ok, response} = Noizu.Weaviate.Api.Objects.list_data_objects()\n    {:ok, response} = Noizu.Weaviate.Api.Objects.list_data_objects(class: \"Product\", limit: 10)","ref":"Noizu.Weaviate.Api.Objects.html#list_data_objects/1-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Objects.update_cross_reference/5","doc":"Update a cross-reference in Weaviate.","ref":"Noizu.Weaviate.Api.Objects.html#update_cross_reference/5"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Objects.update_cross_reference/5","doc":"- `class_name` (required) - The name of the class of the source object.\n- `id` (required) - The ID of the source object.\n- `property_name` (required) - The name of the property containing the cross-reference.\n- `beacon` (required) - The beacon URL of the reference, in the format \"weaviate://localhost/ / \".\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Objects.html#update_cross_reference/5-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Objects.update_cross_reference/5","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Objects.html#update_cross_reference/5-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Objects.update_cross_reference/5","doc":"{:ok, response} = Noizu.Weaviate.Api.Objects.update_cross_reference(\"Product\", \"1234\", \"relatedProducts\", \"weaviate://localhost/Product/5678\")","ref":"Noizu.Weaviate.Api.Objects.html#update_cross_reference/5-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Objects.update_data_object/4","doc":"Update a data object in Weaviate.","ref":"Noizu.Weaviate.Api.Objects.html#update_data_object/4"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Objects.update_data_object/4","doc":"- `class_name` (required) - The name of the class that the data object belongs to.\n- `id` (required) - The ID of the data object.\n- `properties` (required) - The updated property values of the data object.\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Objects.html#update_data_object/4-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Objects.update_data_object/4","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Objects.html#update_data_object/4-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Objects.update_data_object/4","doc":"properties = [\n      %{\"name\" => \"John Doe\"},\n      %{\"age\" => 30}\n    ]\n\n    {:ok, response} = Noizu.Weaviate.Api.Objects.update_data_object(\"Person\", \"12345678-1234-1234-1234-1234567890ab\", properties)","ref":"Noizu.Weaviate.Api.Objects.html#update_data_object/4-examples"},{"type":"function","title":"Noizu.Weaviate.Api.Objects.validate_data_object/4","doc":"Validate a data object in Weaviate.","ref":"Noizu.Weaviate.Api.Objects.html#validate_data_object/4"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Objects.validate_data_object/4","doc":"- `class_name` (required) - The name of the class that the data object belongs to.\n- `properties` (required) - The property values of the data object to be validated.\n- `id` (optional) - The ID of the data object.\n- `options` (optional) - Additional options for the API call.","ref":"Noizu.Weaviate.Api.Objects.html#validate_data_object/4-parameters"},{"type":"function","title":"Returns - Noizu.Weaviate.Api.Objects.validate_data_object/4","doc":"A tuple `{:ok, response}` on successful API call, where `response` is the API response.\nReturns `{:error, term}` on failure, where `term` contains error details.","ref":"Noizu.Weaviate.Api.Objects.html#validate_data_object/4-returns"},{"type":"function","title":"Examples - Noizu.Weaviate.Api.Objects.validate_data_object/4","doc":"properties = [\n      %{\"name\" => \"John Doe\"},\n      %{\"age\" => 30}\n    ]\n\n    {:ok, response} = Noizu.Weaviate.Api.Objects.validate_data_object(\"Person\", properties)","ref":"Noizu.Weaviate.Api.Objects.html#validate_data_object/4-examples"},{"type":"module","title":"Noizu.Weaviate.Api.Schema","doc":"Noizu.Weaviate.Api.Schema is a module that provides functionality for interacting with the Weaviate schema API.\nThis module offers various functions for configuring classes, properties, vector indices, inverted index, stopwords, and replication in the Weaviate schema.","ref":"Noizu.Weaviate.Api.Schema.html"},{"type":"module","title":"Usage - Noizu.Weaviate.Api.Schema","doc":"To use this module, you need to call the respective function with the required parameters.\n\nExample:\n\n    class_name = \"Product\"\n    class_config = %{class_name: class_name, description: \"A class for representing products in Weaviate\"}\n\n    {:ok, response} = Noizu.Weaviate.Api.Schema.configure_class(class_name, class_config)","ref":"Noizu.Weaviate.Api.Schema.html#module-usage"},{"type":"function","title":"Noizu.Weaviate.Api.Schema.add_property/3","doc":"Adds a property to a class in the Weaviate schema.","ref":"Noizu.Weaviate.Api.Schema.html#add_property/3"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Schema.add_property/3","doc":"- `class_name` (required) - The name of the class.\n- `property` (required) - The property to add.","ref":"Noizu.Weaviate.Api.Schema.html#add_property/3-parameters"},{"type":"function","title":"Example - Noizu.Weaviate.Api.Schema.add_property/3","doc":"class_name = \"Product\"\n    property = %{\n      name: \"price\",\n      description: \"The price of the product\",\n      data_type: \"number\"\n    }\n\n    {:ok, response} = Noizu.Weaviate.Api.Schema.add_property(class_name, property)","ref":"Noizu.Weaviate.Api.Schema.html#add_property/3-example"},{"type":"function","title":"Noizu.Weaviate.Api.Schema.configure_class/3","doc":"Configures a class in the Weaviate schema.","ref":"Noizu.Weaviate.Api.Schema.html#configure_class/3"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Schema.configure_class/3","doc":"- `class_name` (required) - The name of the class.\n- `class_config` (required) - The configuration settings for the class.","ref":"Noizu.Weaviate.Api.Schema.html#configure_class/3-parameters"},{"type":"function","title":"Example - Noizu.Weaviate.Api.Schema.configure_class/3","doc":"class_name = \"Product\"\n    class_config = %{\n      name: class_name,\n      description: \"A class for representing products in Weaviate\"\n    }\n\n    {:ok, response} = Noizu.Weaviate.Api.Schema.configure_class(class_name, class_config)","ref":"Noizu.Weaviate.Api.Schema.html#configure_class/3-example"},{"type":"function","title":"Noizu.Weaviate.Api.Schema.configure_inverted_index/3","doc":"Configures inverted index for a class in the Weaviate schema.","ref":"Noizu.Weaviate.Api.Schema.html#configure_inverted_index/3"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Schema.configure_inverted_index/3","doc":"- `class_name` (required) - The name of the class.\n- `inverted_index` (required) - The configuration settings for the inverted index.","ref":"Noizu.Weaviate.Api.Schema.html#configure_inverted_index/3-parameters"},{"type":"function","title":"Example - Noizu.Weaviate.Api.Schema.configure_inverted_index/3","doc":"class_name = \"Product\"\n    inverted_index = %{\n      cleanupIntervalSeconds: 600,\n      maximumCleanupDurationSeconds: 1800\n    }\n\n    {:ok, response} = Noizu.Weaviate.Api.Schema.configure_inverted_index(class_name, inverted_index)","ref":"Noizu.Weaviate.Api.Schema.html#configure_inverted_index/3-example"},{"type":"function","title":"Noizu.Weaviate.Api.Schema.configure_replication/3","doc":"Configures replication in the Weaviate schema.","ref":"Noizu.Weaviate.Api.Schema.html#configure_replication/3"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Schema.configure_replication/3","doc":"- `class_name` (required) - The name of the class.\n- `replication_config` (required) - The replication configuration settings.","ref":"Noizu.Weaviate.Api.Schema.html#configure_replication/3-parameters"},{"type":"function","title":"Example - Noizu.Weaviate.Api.Schema.configure_replication/3","doc":"class_name = \"Product\"\n    replication_config = %{\n      f: 2\n    }\n\n    {:ok, response} = Noizu.Weaviate.Api.Schema.configure_replication(class_name, replication_config)","ref":"Noizu.Weaviate.Api.Schema.html#configure_replication/3-example"},{"type":"function","title":"Noizu.Weaviate.Api.Schema.configure_stopwords/3","doc":"Configures stopwords for a class in the Weaviate schema.","ref":"Noizu.Weaviate.Api.Schema.html#configure_stopwords/3"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Schema.configure_stopwords/3","doc":"- `class_name` (required) - The name of the class.\n- `stopwords_config` (required) - The configuration settings for the stopwords.","ref":"Noizu.Weaviate.Api.Schema.html#configure_stopwords/3-parameters"},{"type":"function","title":"Example - Noizu.Weaviate.Api.Schema.configure_stopwords/3","doc":"class_name = \"Product\"\n    stopwords_config = %{\n      remove: [\"is\", \"the\", \"and\"],\n      additional: [\"a\", \"an\", \"in\"]\n    }\n\n    {:ok, response} = Noizu.Weaviate.Api.Schema.configure_stopwords(class_name, stopwords_config)","ref":"Noizu.Weaviate.Api.Schema.html#configure_stopwords/3-example"},{"type":"function","title":"Noizu.Weaviate.Api.Schema.configure_vector_indices/3","doc":"Configures vector indices for a class in the Weaviate schema.","ref":"Noizu.Weaviate.Api.Schema.html#configure_vector_indices/3"},{"type":"function","title":"Parameters - Noizu.Weaviate.Api.Schema.configure_vector_indices/3","doc":"- `class_name` (required) - The name of the class.\n- `vector_indices` (required) - The configuration settings for the vector indices.","ref":"Noizu.Weaviate.Api.Schema.html#configure_vector_indices/3-parameters"},{"type":"function","title":"Example - Noizu.Weaviate.Api.Schema.configure_vector_indices/3","doc":"class_name = \"Product\"\n    vector_indices = %{\n      indexType: \"hnsw\",\n      ...\n    }\n\n    {:ok, response} = Noizu.Weaviate.Api.Schema.configure_vector_indices(class_name, vector_indices)","ref":"Noizu.Weaviate.Api.Schema.html#configure_vector_indices/3-example"},{"type":"module","title":"WeaviateStructs.BackupParams","doc":"","ref":"WeaviateStructs.BackupParams.html"},{"type":"function","title":"WeaviateStructs.BackupParams.from_json/1","doc":"","ref":"WeaviateStructs.BackupParams.html#from_json/1"},{"type":"module","title":"WeaviateStructs.BatchParams","doc":"","ref":"WeaviateStructs.BatchParams.html"},{"type":"function","title":"WeaviateStructs.BatchParams.from_json/1","doc":"","ref":"WeaviateStructs.BatchParams.html#from_json/1"},{"type":"module","title":"WeaviateStructs.Class","doc":"Struct for representing a class in Weaviate schema.","ref":"WeaviateStructs.Class.html"},{"type":"function","title":"WeaviateStructs.Class.from_json/1","doc":"","ref":"WeaviateStructs.Class.html#from_json/1"},{"type":"type","title":"WeaviateStructs.Class.t/0","doc":"","ref":"WeaviateStructs.Class.html#t:t/0"},{"type":"module","title":"WeaviateStructs.ClassificationParams","doc":"Struct for representing classification parameters in Weaviate.","ref":"WeaviateStructs.ClassificationParams.html"},{"type":"function","title":"WeaviateStructs.ClassificationParams.from_json/1","doc":"","ref":"WeaviateStructs.ClassificationParams.html#from_json/1"},{"type":"module","title":"WeaviateStructs.DataObject","doc":"Struct for representing a data object in Weaviate.","ref":"WeaviateStructs.DataObject.html"},{"type":"function","title":"WeaviateStructs.DataObject.from_json/1","doc":"","ref":"WeaviateStructs.DataObject.html#from_json/1"},{"type":"type","title":"WeaviateStructs.DataObject.t/0","doc":"","ref":"WeaviateStructs.DataObject.html#t:t/0"},{"type":"module","title":"WeaviateStructs.Meta","doc":"","ref":"WeaviateStructs.Meta.html"},{"type":"function","title":"WeaviateStructs.Meta.from_json/1","doc":"","ref":"WeaviateStructs.Meta.html#from_json/1"},{"type":"module","title":"WeaviateStructs.Node","doc":"Structs for storing information about nodes.","ref":"WeaviateStructs.Node.html"},{"type":"function","title":"WeaviateStructs.Node.from_json/1","doc":"","ref":"WeaviateStructs.Node.html#from_json/1"},{"type":"module","title":"WeaviateStructs.OpenIDConfiguration","doc":"","ref":"WeaviateStructs.OpenIDConfiguration.html"},{"type":"function","title":"WeaviateStructs.OpenIDConfiguration.from_json/1","doc":"","ref":"WeaviateStructs.OpenIDConfiguration.html#from_json/1"},{"type":"module","title":"WeaviateStructs.Property","doc":"Struct for representing a property in Weaviate schema.","ref":"WeaviateStructs.Property.html"},{"type":"function","title":"WeaviateStructs.Property.from_json/1","doc":"","ref":"WeaviateStructs.Property.html#from_json/1"},{"type":"type","title":"WeaviateStructs.Property.t/0","doc":"","ref":"WeaviateStructs.Property.html#t:t/0"}],"content_type":"text/markdown"}